org.jbpm.services.task.persistence

## Class PersistableEventListener

- java.lang.Object
- - org.jbpm.services.task.persistence.PersistableEventListener

- All Implemented Interfaces:
    EventListener, org.kie.api.task.TaskLifeCycleEventListener
  Direct Known Subclasses:
    AsyncTaskLifeCycleEventProducer, BAMTaskEventListener, JPATaskLifeCycleEventListener

      public abstract class PersistableEventListener
      extends Object
      implements org.kie.api.task.TaskLifeCycleEventListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `org.kie.api.task.TaskLifeCycleEventListener.AssignmentType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistableEventListener(javax.persistence.EntityManagerFactory emf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cleanup(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`
    `protected org.kie.internal.task.api.TaskPersistenceContext` | `getPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.task.TaskLifeCycleEventListener

      `afterTaskActivatedEvent, afterTaskAddedEvent, afterTaskAssignmentsAddedEvent, afterTaskAssignmentsRemovedEvent, afterTaskClaimedEvent, afterTaskCompletedEvent, afterTaskDelegatedEvent, afterTaskExitedEvent, afterTaskFailedEvent, afterTaskForwardedEvent, afterTaskInputVariableChangedEvent, afterTaskNominatedEvent, afterTaskNotificationEvent, afterTaskOutputVariableChangedEvent, afterTaskReassignedEvent, afterTaskReleasedEvent, afterTaskResumedEvent, afterTaskSkippedEvent, afterTaskStartedEvent, afterTaskStoppedEvent, afterTaskSuspendedEvent, afterTaskUpdatedEvent, beforeTaskActivatedEvent, beforeTaskAddedEvent, beforeTaskAssignmentsAddedEvent, beforeTaskAssignmentsRemovedEvent, beforeTaskClaimedEvent, beforeTaskCompletedEvent, beforeTaskDelegatedEvent, beforeTaskExitedEvent, beforeTaskFailedEvent, beforeTaskForwardedEvent, beforeTaskInputVariableChangedEvent, beforeTaskNominatedEvent, beforeTaskNotificationEvent, beforeTaskOutputVariableChangedEvent, beforeTaskReassignedEvent, beforeTaskReleasedEvent, beforeTaskResumedEvent, beforeTaskSkippedEvent, beforeTaskStartedEvent, beforeTaskStoppedEvent, beforeTaskSuspendedEvent, beforeTaskUpdatedEvent`

- - ### Constructor Detail

    - #### PersistableEventListener

          public PersistableEventListener(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### getPersistenceContext

          protected org.kie.internal.task.api.TaskPersistenceContext getPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

    - #### cleanup

          protected void cleanup(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.